      MODULE CONDITIONS
!  Last modification 7/22/14.
!  This module defines and passes conditions used to compute
!  fluxes from the SHEBA bulk flux algorithm.
!
      INTEGER CHOICE
!
      REAL*4 UR, RU, TR, RT, RH, RH_I, RQ, QR, TS, P, CONC, XI
!
!       UR is the wind speed (in m/s) at reference height RU (in m).
!       TR is the air temperature (in deg C) at reference height RT (in m).
!       RH is the relative humidity (in %) with respect to saturation over
!       water at height RQ (in m).
!       RT and RQ must be the same since the routine needs both TR and RH
!       to compute the vapor pressure.
!       RH_I is the relative humidity (in %) with respect to saturation
!       over ice.
!       QR is the specific humidity (in kg/kg) at height RQ.
!       TS is the surface temperature (in deg C).
!       CONC is the ice concentration (in %).
!       XI is the physical roughness (in cm).
!       CHOICE = 1 if use the physical roughness algorithm (i.e., compute
!       Z0 from XI);
!       CHOICE = 2 is use original SHEBA algorithm, which bases Z0 on
!       ice concentration or the friction velocity.
!
      REAL*4, PARAMETER :: S = 0.0
C       S is the assumed surface salinity.  May not be 0 in the MIZ.
C
      END MODULE CONDITIONS